﻿using Syncfusion.UI.Xaml.Charts;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Windows.Threading;
using System.Globalization;

namespace LiveChartTrackBall
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void VerticalLineAnnotation_DragCompleted(object sender, AnnotationDragCompletedEventArgs e)
        {
            double x, y, stackedYValue;
            var xPoint = Chart1.ValueToPoint(Chart1.PrimaryAxis, (double)e.NewValue.X1);
            var yPoint = Chart1.ValueToPoint(Chart1.PrimaryAxis, (double)e.NewValue.X2);
            Series1.FindNearestChartPoint(new Point(xPoint , yPoint),out x,out y,out stackedYValue);
            annotation.X1 = x;
            annotation.X2 = x;
        }
    }

    
}
